#!/bin/sh
######################################################################
# Add minimum configuration required by HP Insight Management Agents #
######################################################################
rancomm () {
  RANCOMM=""
  RANCOMMLEN=""
  COUNTER=0
  while true; do
    COUNTER=`expr $COUNTER + 7`
    DATE=`date 2>/dev/null`
    HOSTNAME=`hostname 2>/dev/null`
    IFCONFIG=`ifconfig 2>/dev/null`
    PROCSTAT=`cat /proc/stat 2>&1`
    if [ -z "$RANCOMMLEN" ]; then
      EXPR=`echo $COUNTER $DATE $HOSTNAME $IFCONFIG $PROCSTAT $COUNTER | md5sum | \
        sed 's/^[^4567]*\([4567]\).*\([4567]\)[^4567]*$/expr \1 + \2/'`
      [ ${#EXPR} -lt 10 ] && continue
      RANCOMMLEN=`$EXPR 2>/dev/null`
      continue
    fi
    MAXLEN=`expr $RANCOMMLEN - ${#RANCOMM}`
    RANCOMM=${RANCOMM}`echo $COUNTER $DATE $HOSTNAME $IFCONFIG $PROCSTAT $COUNTER | md5sum | \
      awk 'BEGIN { MAXLEN='$MAXLEN'
                   A["30"]="0"; A["31"]="1"; A["32"]="2"; A["33"]="3";
                   A["34"]="4"; A["35"]="5"; A["36"]="6"; A["37"]="7";
                   A["38"]="8"; A["39"]="9"
                   A["41"]="A"; A["42"]="B"; A["43"]="C"; A["44"]="D";
                   A["49"]="I"; A["4a"]="J"; A["4b"]="K"; A["4c"]="L";
                   A["4d"]="M"; A["4e"]="N"; A["4f"]="O"; A["50"]="P";
                   A["51"]="Q"; A["52"]="R"; A["53"]="S"; A["54"]="T";
                   A["55"]="U"; A["56"]="V"; A["57"]="W"; A["58"]="X";
                   A["59"]="Y"; A["5a"]="Z"; A["61"]="a"; A["62"]="b";
                   A["63"]="c"; A["64"]="d"; A["65"]="e"; A["66"]="f";
                   A["67"]="g"; A["68"]="h"; A["69"]="i"; A["6a"]="j";
                   A["6b"]="k"; A["6c"]="l"; A["6d"]="m"; A["6e"]="n";
                   A["6f"]="o"; A["70"]="p"; A["71"]="q"; A["72"]="r";
                   A["73"]="s"; A["74"]="t"; A["75"]="u"; A["76"]="v";
                   A["77"]="w"; A["78"]="x"; A["79"]="y"; A["7a"]="z";
           }
           {
             LEN=length($0)
             for (i=0; i< LEN-1 && MAXLEN > 0; i=i+2) {
               HEX=substr($0,i,2)
               if (HEX in A) {
                 printf "%s", A[HEX];
                 MAXLEN--;
               }
             }
           }'`
    RANCOMM=`echo $RANCOMM | sed 's/^[0-9]*//'`
    [ ${#RANCOMM} -ge $RANCOMMLEN ] && break;
  done

  echo "$RANCOMM"
  return 0
}
if [ -d /var/spool/compaq ]; then
 :
else
 mkdir /var/spool/compaq
 mkdir /var/spool/compaq/wbem
fi
randpass=$(rancomm)
#echo "Random Password = |$randpass|"
ow=""
status=$(/usr/local/hp/hpwebsetup -pA:$randpass -pO:$randpass -pU:$randpass $ow)
echo "$status"
#status=$(/usr/local/hp/hpwebsetup -pO:$randpass $ow)
#echo "$status"
#status=$(/usr/local/hp/hpwebsetup -pU:$randpass $ow)
#echo "$status"

